// SPDX-FileCopyrightText: 2024 Tobias Leupold <tl at stonemx dot de>
//
// SPDX-License-Identifier: GPL-3.0-or-later

#ifndef FONTDIALOG_H
#define FONTDIALOG_H

// Qt includes
#include <QDialog>

// Qt classes
class QListWidget;
class QLabel;
class QListWidgetItem;
class QFont;

class FontDialog : public QDialog
{
    Q_OBJECT

public:
    explicit FontDialog(QWidget *parent);
    int execWithFont(const QFont &font);
    const QString &selectedFont() const;

private Q_SLOTS:
    void updatePreview(QListWidgetItem *item);

private: // Variables
    QListWidget *m_fonts;
    QLabel *m_preview;
    QString m_selectedFont;

};

#endif // FONTDIALOG_H
